Page MenuHomePhabricator

Learn from WMDE's approaches how to better explaining actions and processes in Engineering and making "Phab more welcoming"
Closed, ResolvedPublic

Description

@Aklapper to follow up on conversation at Lyon Hackathon with @Bmueller: WMDE folks explained at Tech on Tour (real life meetings with the community) the process of software development, why engineering tasks sometimes take longer and how prioritisation works.

After that, think how to potentially express this in Phab (expanding https://www.mediawiki.org/wiki/Phabricator/Project_management#Setting_task_priorities and also adding a comment when prioritizing linking to that page?)

Also the aspect that interaction in Phabricator could sometimes feel more friendly / welcoming (e.g. the good and bad idea to mark new users as such, see T64324: Visually indicate when a Phabricator user is new (Welcome culture)).

Event Timeline

Aklapper created this task.Jun 23 2015, 4:15 PM
Aklapper raised the priority of this task from to Low.
Aklapper updated the task description. (Show Details)
Aklapper added subscribers: Aklapper, Bmueller.
Aklapper claimed this task.Jun 23 2015, 4:25 PM
Bmueller updated the task description. (Show Details)Jun 24 2015, 6:24 AM
Bmueller set Security to None.

Explaining priority setting better

(Summary of a tea time with @Bmueller at Wikimania Hackathon.)

Related pages:

Two main user groups in Phab setting priority: People working on something and planning vs. people who want to express that something is important.

Potentially unclear audience when setting priority. It's not just prioritizing work for a team/project but also anybody looking at the task (any community members, reporters, etc) and that anybody also interprets the priority value.

Different interpretations of "Low priority": Does not necessarily mean the task is not important; means that it's just not on the to-do list of anybody for the next months.

Setting priority affects *all* projects associated to a task.

(Teams can put tasks into the Backlog column of their workboard; regardless of any task priority)

Next step: Not only "explain better the priority setting done by developers/product managers/etc." but also provide a way how a person "outside of a dev/eng team" can express that a task breaks a person's workflow / should get more attention / is important to the person.

Pretty interesting approaches by the Blender folks by using dashboards on the frontpage with direct links, and on the bug reporting page custom URL parameters to display more user-friendly guidelines inline, plus custom content in the fields to fill out.

Screenshots:

Explaining priority setting better

Two main user groups in Phab setting priority: People working on something and planning vs. people who want to express that something is important.

One could break down the last group into more pieces, e.g. regarding editors see https://meta.wikimedia.org/wiki/Community_Engagement_%28Product%29/Process_ideas#Bug_Prioritisation_by_editors

Re the screenshots, certainly adding walls of text during task submission doesn't fall under "making phabricator more welcoming". Our issue #1 is getting users to report their issues.

I'd rather go for getting users to report their issues with sufficient information to reproduce/debug.
But yes too much text, I agree. :)

Another example of differing Priority understanding/interpretation: https://phabricator.wikimedia.org/T110950#1625816

Aklapper closed this task as Resolved.Oct 8 2015, 3:48 PM